From 45be8fa735d8159fb46f7e481b5540f1c83c0606 Mon Sep 17 00:00:00 2001
From: Juan RP <xtraeme@gmail.com>
Date: Tue, 4 Jun 2019 19:38:24 +0200
Subject: [PATCH 1/3] kexec-tools: update to 2.0.19.

Signed-off-by: Juan RP <xtraeme@gmail.com>
---
 srcpkgs/kexec-tools/patches/musl.patch | 12 ------------
 srcpkgs/kexec-tools/template           |  6 ++----
 2 files changed, 2 insertions(+), 16 deletions(-)
 delete mode 100644 srcpkgs/kexec-tools/patches/musl.patch

diff --git a/srcpkgs/kexec-tools/patches/musl.patch b/srcpkgs/kexec-tools/patches/musl.patch
deleted file mode 100644
index 54a72346b0e..00000000000
--- a/srcpkgs/kexec-tools/patches/musl.patch
+++ /dev/null
@@ -1,12 +0,0 @@
---- vmcore-dmesg/vmcore-dmesg.c.orig	2015-06-26 06:34:07.265191695 +0200
-+++ vmcore-dmesg/vmcore-dmesg.c	2015-06-26 06:34:44.306162445 +0200
-@@ -12,7 +12,9 @@
- #include <limits.h>
- #include <sys/types.h>
- #include <sys/stat.h>
-+#define _GNU_SOURCE	/* loff_t with musl */
- #include <fcntl.h>
-+#undef _GNU_SOURCE
- #include <elf.h>
- #include <stdbool.h>
- #include <inttypes.h>
diff --git a/srcpkgs/kexec-tools/template b/srcpkgs/kexec-tools/template
index 7907849554f..becb6f9fb7d 100644
--- a/srcpkgs/kexec-tools/template
+++ b/srcpkgs/kexec-tools/template
@@ -1,6 +1,6 @@
 # Template file for 'kexec-tools'
 pkgname=kexec-tools
-version=2.0.18
+version=2.0.19
 revision=1
 build_style=gnu-configure
 makedepends="liblzma-devel"
@@ -9,9 +9,7 @@ maintainer="Juan RP <xtraeme@voidlinux.org>"
 license="GPL-2.0-only"
 homepage="http://kernel.org/pub/linux/utils/kernel/kexec/"
 distfiles="${KERNEL_SITE}/utils/kernel/kexec/${pkgname}-${version}.tar.xz"
-checksum=f020f07341977eb512663e301c2de60c6589e141467c16a8efd58243c0b2b238
-nopie=yes
-nocross=yes
+checksum=ed8001b335ac8f8a9631387d1b91f6e61e8d6f1f45a8e198a78cfb4318895e0e
 
 pre_build() {
 	rm ${XBPS_WRAPPERDIR}/strip

From 308b846d39c5fb3a0c33bf2c258de097b7bc55ab Mon Sep 17 00:00:00 2001
From: Juan RP <xtraeme@gmail.com>
Date: Tue, 4 Jun 2019 20:09:19 +0200
Subject: [PATCH 2/3] kexec-tools: unbreak x86 build.

Signed-off-by: Juan RP <xtraeme@gmail.com>
---
 srcpkgs/kexec-tools/template | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/srcpkgs/kexec-tools/template b/srcpkgs/kexec-tools/template
index becb6f9fb7d..cbc315b74ad 100644
--- a/srcpkgs/kexec-tools/template
+++ b/srcpkgs/kexec-tools/template
@@ -13,4 +13,7 @@ checksum=ed8001b335ac8f8a9631387d1b91f6e61e8d6f1f45a8e198a78cfb4318895e0e
 
 pre_build() {
 	rm ${XBPS_WRAPPERDIR}/strip
+	case "$XBPS_TARGET_MACHINE" in
+		i686*) vsed -i '/compat_x86_64.S/d' purgatory/arch/i386/Makefile;;
+	esac
 }

From f006e63fb0d7935a5e71d8a8bc07123664edd6cf Mon Sep 17 00:00:00 2001
From: Juan RP <xtraeme@gmail.com>
Date: Tue, 4 Jun 2019 20:14:56 +0200
Subject: [PATCH 3/3] kexec-tools: added zlib support.

Signed-off-by: Juan RP <xtraeme@gmail.com>
---
 srcpkgs/kexec-tools/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/kexec-tools/template b/srcpkgs/kexec-tools/template
index cbc315b74ad..8e3fbfd7fe0 100644
--- a/srcpkgs/kexec-tools/template
+++ b/srcpkgs/kexec-tools/template
@@ -3,7 +3,7 @@ pkgname=kexec-tools
 version=2.0.19
 revision=1
 build_style=gnu-configure
-makedepends="liblzma-devel"
+makedepends="zlib-devel liblzma-devel"
 short_desc="Tools to support fast kexec reboots"
 maintainer="Juan RP <xtraeme@voidlinux.org>"
 license="GPL-2.0-only"
